Page MenuHomePhabricator

[AArch64] Tests for non-temporal load
ClosedPublic

Authored by zjaffal on Aug 12 2022, 5:50 AM.

Diff Detail

Event Timeline

zjaffal created this revision.Aug 12 2022, 5:50 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 12 2022, 5:50 AM
zjaffal retitled this revision from [AArch64] tests for non-temporal load to [AArch64] Tests for non-temporal load.Aug 12 2022, 5:51 AM
zjaffal added a reviewer: fhahn.
zjaffal published this revision for review.Aug 12 2022, 5:54 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 12 2022, 5:54 AM
fhahn added inline comments.Aug 12 2022, 7:53 AM
llvm/test/CodeGen/AArch64/nontemporal-load.ll
3

nit: -O3 is not needed here.

5

Could you also add additional tests with vectors with odd number of elements and uncommon types, like i27?

zjaffal updated this revision to Diff 452190.EditedAug 12 2022, 8:26 AM

Add coverage for tests with odd vectors and remove uncesseary flags

fhahn added a comment.Aug 12 2022, 8:39 AM

Add coverage for tests with odd vectors and remove uncesseary flags

Thanks for the update. It looks like it is still missing tests with uncommon element types, like i27.

llvm/test/CodeGen/AArch64/nontemporal-load.ll
241

nit: missing space between load<33..

zjaffal updated this revision to Diff 452402.Aug 13 2022, 3:51 AM
zjaffal marked 2 inline comments as done.

Updating D131767: [AArch64] Tests for non-temporal load
Add more odd tests

zjaffal updated this revision to Diff 452403.Aug 13 2022, 4:00 AM
This comment was removed by zjaffal.
zjaffal updated this revision to Diff 452406.Aug 13 2022, 4:20 AM

Add odd datatypes i65 and i63

fhahn accepted this revision.Aug 13 2022, 7:13 AM

LGTM, thanks!

This revision is now accepted and ready to land.Aug 13 2022, 7:13 AM
This revision was landed with ongoing or failed builds.Aug 15 2022, 1:16 AM
Closed by commit rGdf4878d28d38: [AArch64] Tests for non-temporal loads. (authored by zjaffal, committed by fhahn). · Explain Why
This revision was automatically updated to reflect the committed changes.